Package org.jbpm.workflow.core.node

## Class CompositeNode.CompositeNodeEnd

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.node.CompositeNode.CompositeNodeEnd

- All Implemented Interfaces:
    `Serializable`, `Contextable`, `ContextResolver`, `Node`, `org.kie.api.definition.process.Node`
  Enclosing class:
    CompositeNode

      public static class CompositeNode.CompositeNodeEnd
      extends NodeImpl

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositeNodeEnd​(CompositeNode parentNode, org.kie.api.definition.process.Node outNode, String outType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.definition.process.Node` | `getOutNode()` |
    `long` | `getOutNodeId()` |
    `String` | `getOutType()` |

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeNodeEnd

          public CompositeNodeEnd​(CompositeNode parentNode,
                                  org.kie.api.definition.process.Node outNode,
                                  String outType)

  - ### Method Detail

    - #### getOutNode

          public org.kie.api.definition.process.Node getOutNode()

    - #### getOutNodeId

          public long getOutNodeId()

    - #### getOutType

          public String getOutType()